org.w3c.dom.ls

## Interface LSLoadEvent

All Superinterfaces:
  Event

    public interface LSLoadEvent
    extends Event

This interface represents a load event object that signals the completion of a document load.

See also the Document Object Model (DOM) Level 3 Load and Save Specification.

### Field Summary

### Fields inherited from interface org.w3c.dom.events.Event

`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

### Method Summary

Methods
`LSInput` `getInput()` The input source that was parsed.
`Document` `getNewDocument()` The document that finished loading.

### Methods inherited from interface org.w3c.dom.events.Event

`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

### Method Detail

#### getNewDocument

    Document getNewDocument()

The document that finished loading.

#### getInput

    LSInput getInput()

The input source that was parsed.